GET /rest/employees/{employee}/surcharge_settlements/{yearMonth}
curl --request GET \
--url https://{tenant}.stamp.eu/rest/employees/{employee}/surcharge_settlements/{yearMonth} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}.stamp.eu/rest/employees/{employee}/surcharge_settlements/{yearMonth}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.stamp.eu/rest/employees/{employee}/surcharge_settlements/{yearMonth}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"employee_id": "<string>",
"surcharge_rule_id": "<string>",
"year_month": "<string>",
"hours": "<string>",
"hours_ms": "<string>",
"amount_cents": "<string>",
"amount": "<string>",
"tax_free_cents": "<string>",
"tax_free": "<string>",
"taxable_cents": "<string>",
"taxable": "<string>",
"currency": "<string>",
"hourly_rate_cents": "<string>",
"rate_missing": true,
"rate_type": "<string>",
"rate_value": 123,
"correction_for_year_month": "<string>",
"calculated_at": "<string>",
"rule_name": "<string>"
}
],
"totals": {
"hours_ms": 123,
"amount_cents": 123,
"amount": "<string>",
"tax_free_cents": 123,
"taxable_cents": 123,
"rate_missing": true
},
"year_month": "<string>",
"sv_base_wage_cap_cents": 123
}{
"message": "<string>"
}{
"message": ""
}{
"message": "<string>"
}Zuschläge
Zuschlagsabrechnung einer Person
GET
/
employees
/
{employee}
/
surcharge_settlements
/
{yearMonth}
GET /rest/employees/{employee}/surcharge_settlements/{yearMonth}
Authorizations
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
⌘I